aboutsummaryrefslogtreecommitdiff
path: root/www/thttpd/files
diff options
context:
space:
mode:
authorThomas Gellekum <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committerThomas Gellekum <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8 (patch)
tree7b9cd553a62be7a9bd52800d334be8b703eb93a1 /www/thttpd/files
parent01ab6da99c55af36e516b7f8016373124c4039cf (diff)
downloadports-546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8.tar.gz
ports-546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8.zip
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Notes
Notes: svn path=/head/; revision=30229
Diffstat (limited to 'www/thttpd/files')
-rw-r--r--www/thttpd/files/thttpd.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/www/thttpd/files/thttpd.sh b/www/thttpd/files/thttpd.sh
new file mode 100644
index 000000000000..34a848a96082
--- /dev/null
+++ b/www/thttpd/files/thttpd.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/thttpd_wrapper ] && ${PREFIX}/sbin/thttpd_wrapper && echo -n ' thttpd'
+ ;;
+stop)
+ killall thttpd_wrapper && killall thttpd && echo -n ' thttpd'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0